de.esprit.netsuite.server.permission

## Class UserPermissionList

- java.lang.Object
- - de.esprit.netsuite.server.permission.UserPermissionList

- All Implemented Interfaces:
    java.io.Serializable

      public class UserPermissionList
      extends java.lang.Object

  This is a special list which maintains `UserPermissionEntry` objects.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserPermissionList()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addPermission(T entry)`
    `void` | `clear()`
    `protected UserPermissionEntry` | `createPermissionEntry(java.lang.String name, java.lang.String objectCode, java.lang.String... actionCodes)`
    `java.util.List<T>` | `findPermissionsFor(java.lang.String name)`
    `T` | `findPermissionsFor(java.lang.String name, PermissionDefinition permDef)`
    `java.util.List<T>` | `getPermissions()`
    `int` | `getSize()`
    `boolean` | `hasPermission(java.lang.String name, PermissionDefinition obj, EspritPermission permission)`
    `int` | `removePermissions(java.lang.String name)`
    `int` | `removePermissions(java.lang.String name, PermissionDefinition obj)`
    `boolean` | `setPermissions(java.lang.String name, PermissionDefinition obj, EspritPermission... permissions)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UserPermissionList

          public UserPermissionList()

  - ### Method Detail

    - #### createPermissionEntry

          protected final UserPermissionEntry createPermissionEntry(java.lang.String name,
                                                  java.lang.String objectCode,
                                                  java.lang.String... actionCodes)

    - #### getPermissions

          public final java.util.List<T> getPermissions()

    - #### addPermission

          public final boolean addPermission(T entry)

    - #### findPermissionsFor

          public final java.util.List<T> findPermissionsFor(java.lang.String name)

    - #### findPermissionsFor

          public final T findPermissionsFor(java.lang.String name,
                             PermissionDefinition permDef)

    - #### hasPermission

          public final boolean hasPermission(java.lang.String name,
                              PermissionDefinition obj,
                              EspritPermission permission)

    - #### setPermissions

          public final boolean setPermissions(java.lang.String name,
                               PermissionDefinition obj,
                               EspritPermission... permissions)

    - #### removePermissions

          public final int removePermissions(java.lang.String name,
                              PermissionDefinition obj)

    - #### removePermissions

          public final int removePermissions(java.lang.String name)

    - #### clear

          public final void clear()

    - #### getSize

          public final int getSize()

Copyright © 2014 EsprIT-Systems. All Rights Reserved.